## fogger 0.2.3-extras12.04.1

=== debian/changelog ===
fogger (0.2.3-extras12.04.1) precise; urgency=low

  * New release

 -- Owais Lone <hello@owaislone.org>  Mon, 16 Jul 2012 23:56:58 +0530
