=== debian/control ===
Source: fogger
Section: python
Priority: extra
Build-Depends: debhelper (>= 8),
 python (>= 2.6.6-3~),
 python-distutils-extra (>= 2.10)
Maintainer: Owais Lone <hello@owaislone.org>
Standards-Version: 3.9.3
XS-Python-Version: current

Package: fogger
Architecture: all
XB-Python-Version: ${python:Versions}
Depends: ${misc:Depends},
 ${python:Depends},
 gir1.2-notify-0.7,
 python-beautifulsoup,
 gir1.2-gtk-3.0,
 python-requests,
 gir1.2-glib-2.0,
 gir1.2-dbusmenu-glib-0.4,
 gir1.2-unity-5.0,
 python-simplejson,
 gir1.2-soup-2.4,
 gir1.2-gdkpixbuf-2.0,
 gir1.2-webkit-3.0,
 gir1.2-launchpad-integration-3.0,
 yelp
Description: Create sandboxed web apps as desktop applications.
 Fogger acts as a bridge between webapps and the Linux desktop. It
 exposes an easy to use JS API to webapps which can be used to interact
 with the host desktop environment.
