=== debian/rules ===
#!/usr/bin/make -f
%:
ifneq ($(shell dh -l | grep -xF translations),)
	dh $@ --with python2,translations
else
	dh $@ --with python2
endif

override_dh_auto_install:
	dh_auto_install -- --install-scripts=/opt/extras.ubuntu.com/fogger/bin                 --install-data=/opt/extras.ubuntu.com/fogger                 --install-lib=/opt/extras.ubuntu.com/fogger

override_dh_python2:
	dh_python2 /opt/extras.ubuntu.com/fogger


override_dh_install:
	dh_install
	mkdir -p debian/fogger/opt/extras.ubuntu.com/fogger/bin
	if [ -x debian/fogger/opt/extras.ubuntu.com/fogger/fogger/fogger ]; then mv debian/fogger/opt/extras.ubuntu.com/fogger/fogger/fogger debian/fogger/opt/extras.ubuntu.com/fogger/bin; fi
	if [ -f debian/fogger/opt/extras.ubuntu.com/fogger/share/applications/fogger.desktop ]; then \
		mkdir -p debian/fogger/usr/share/applications; \
		mv debian/fogger/opt/extras.ubuntu.com/fogger/share/applications/fogger.desktop debian/fogger/usr/share/applications/extras-fogger.desktop; \
		rmdir --ignore-fail-on-non-empty debian/fogger/opt/extras.ubuntu.com/fogger/share/applications; \
		sed -i 's|Exec=[^ ]*|Exec=/opt/extras.ubuntu.com/fogger/bin/fogger|' debian/fogger/usr/share/applications/extras-fogger.desktop; \
		sed -i 's|Icon=/usr/|Icon=/opt/extras.ubuntu.com/fogger/|' debian/fogger/usr/share/applications/extras-fogger.desktop; \
	fi
	grep -RlZ 'import gettext' debian/fogger/* | xargs -0 -r sed -i 's|\(import\) gettext$$|\1 locale|'
	grep -RlZ 'from gettext import gettext as _' debian/fogger/* | xargs -0 -r sed -i 's|from gettext \(import gettext as _\)|from locale \1|'
	grep -RlZ "gettext.textdomain('fogger')" debian/fogger/* | xargs -0 -r sed -i "s|gettext\(\.textdomain('fogger')\)|locale\.bindtextdomain('fogger', '/opt/extras.ubuntu.com/fogger/share/locale')\nlocale\1|" 
	sed -i "s|__fogger_data_directory__ =.*|__fogger_data_directory__ = '/opt/extras.ubuntu.com/fogger/share/fogger/'|" debian/fogger/opt/extras.ubuntu.com/fogger/fogger*/foggerconfig.py
	sed -i 's|        sys.path.insert(0, opt_path)|\0\n    os.putenv("XDG_DATA_DIRS", "%s:%s" % ("/opt/extras.ubuntu.com/fogger/share/", os.getenv("XDG_DATA_DIRS", "")))|' debian/fogger/opt/extras.ubuntu.com/fogger/bin/fogger
	if [ -d debian/fogger/opt/extras.ubuntu.com/fogger/share/glib-2.0/schemas ]; then glib-compile-schemas debian/fogger/opt/extras.ubuntu.com/fogger/share/glib-2.0/schemas; fi
